### Class

# Phosh Monitor

since: 0

#### Description [src]

    class Phosh.Monitor : GObject.Object
    {
      wl_output: wl_output*,
      xdg_output: zxdg_output_v1*,
      wlr_output_power: zwlr_output_power_v1*,
      power_mode: PhoshMonitorPowerSaveMode,
      x: int,
      y: int,
      width: int,
      height: int,
      subpixel: int,
      transform: gint32,
      width_mm: int,
      height_mm: int,
      vendor: char*,
      product: char*,
      description: char*,
      modes: GArray*,
      current_mode: guint,
      preferred_mode: guint,
      name: char*,
      conn_type: PhoshMonitorConnectorType,
      wl_output_done: gboolean,
      gamma_control: zwlr_gamma_control_v1*,
      n_gamma_entries: guint32
    }

A monitor

A rectangualar area in the compositor space, usually corresponds to physical monitor using wl_output and xdg_output Wayland protocols.

Available since: 0

#### Ancestors

- GObject

#### Constructors

###### phosh_monitor_new_from_wl_output

No description available.

since: 0

#### Functions

###### phosh_monitor_connector_is_builtin

No description available.

since: 0

#### Instance methods

###### phosh_monitor_get_current_mode

No description available.

since: 0

###### phosh_monitor_get_fractional_scale

Get the fractinoal scale determined from the output width and the current logical width.

since: 0

###### phosh_monitor_get_power_save_mode

No description available.

since: 0

###### phosh_monitor_get_transform

No description available.

since: 0

###### phosh_monitor_get_wl_output

No description available.

since: 0

###### phosh_monitor_has_gamma

No description available.

since: 0

###### phosh_monitor_is_builtin

No description available.

since: 0

###### phosh_monitor_is_configured

No description available.

since: 0

###### phosh_monitor_is_flipped

No description available.

since: 0

###### phosh_monitor_is_preferred_mode

Checks whether the current monitor’s mode is the monitor’s preferred mode.

since: 0

###### phosh_monitor_set_color_temp

No description available.

since: 0

###### phosh_monitor_set_power_save_mode

Sets monitor’s power save mode.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.Monitor:n-gamma-entries

No description available.

since: 0

###### Phosh.Monitor:power-mode

No description available.

since: 0

###### Phosh.Monitor:wl-output

No description available.

since: 0

#### Signals

###### Phosh.Monitor::configured

Emitted whenever a monitor is fully configured (that is it received all configuration data from the various wayland protocols).

since: 0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshMonitorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.